corda / net.corda.core.contracts.clauses / AnyComposition

# AnyComposition

`class AnyComposition<in S : ContractState, C : CommandData, in K : Any> : AnyOf<S, C, K>`
Deprecated: Use AnyOf instead, although note that any of requires at least one matched clause

Compose a number of clauses, such that any number of the clauses can run.

### Constructors

<init> | `AnyComposition(vararg rawClauses: Clause<S, C, K>)` Compose a number of clauses, such that any number of the clauses can run.

### Inherited Properties

clauses | `open val clauses: List<Clause<S, C, K>>` List of clauses under this composite clause

### Inherited Functions

toString | `open fun toString(): String`

### Extension Functions

matches | `fun <C : CommandData> Clause<*, C, *>.matches(commands: List<AuthenticatedObject<C>>): Boolean` Determine if the given list of commands matches the required commands for a clause to trigger.